//this sketch demonstrates the use of a FOR loop, which
//allows you to do a process a fixed number of times. in this
//case we are drawing a circle ten times on the screen.
//for loops allow us to write less code 

int ypos = 30;
void setup()
{
  size(400,400);
  background(0);
  
}

void draw()
{
  //the stuff in the parentheses here is what makes the for loop run:
  //int i is a counter, it will keep track of the number of times the loop has run
  //i<10 is the end condition for the loop
  //i++ means that we increment i each time through the loop. start at 0, count up to 9
  //everytime the loop runs, the computer checks for the end condition, and if it
  //has not been met, it excutes the stuff in side the curly brackets, and then 
  //increments the counter variable i
  for(int i = 0; i < 10; i++) //see above!
  {
    ellipse(200,ypos+i*30, 10,10);// here we draw our ellipse.
    //in order not to draw 10 ellipses right on top of each other, we are using i 
    //to change the y position. i starts at 0 and will increment up to 9 before
    //the loop ends. see if you can do the math to find the y position for each 
    //time the loop executes... to check your answer, uncomment the following line of code:
    //println(ypos+i*30);
  }  
}  
